Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Lisp
  Umgrenzung für Schraffur neu erstellen

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Umgrenzung für Schraffur neu erstellen (200 mal gelesen)
Hämmy
Mitglied
Technischer Zeichner


Sehen Sie sich das Profil von Hämmy an!   Senden Sie eine Private Message an Hämmy  Schreiben Sie einen Gästebucheintrag für Hämmy

Beiträge: 32
Registriert: 01.04.2020

Windows 10 Professional 64-Bit
Intel Core i7-3770
3,40GHz
32,0 GB RAM
Grafikkarte Radeon RX 470

erstellt am: 10. Sep. 2020 07:25    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Leute,

ich habe folgendes Problem:

wenn ich Objekte die Schraffiert sind, kopiere und danach in der Größe ändere, geht die Schraffur nicht mit.
Eigentlich sollte das nicht so sein, aber bei kopierten ist das leider oft der Fall.

jetzt muß ich Umständlich in die Schraffur gehen, die Umgrenzung für das Objekt entfernen, und dann das gestreckte Objekt als neue Umgrenzung auswählen.
Das ist natürlich sehr umständlich, deshalb wollte ich hier fragen, ob man dafür eine Lösung per Lisp basteln kann.


z.B.
Schraffur auswählen, neues Objekt wählen fertig. So müsste es gehen, die Schraffur einer neuen Umgrenzung zuzuweisen.

Ist das machbar?

Gruß Hämmy

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Hämmy
Mitglied
Technischer Zeichner


Sehen Sie sich das Profil von Hämmy an!   Senden Sie eine Private Message an Hämmy  Schreiben Sie einen Gästebucheintrag für Hämmy

Beiträge: 32
Registriert: 01.04.2020

Windows 10 Professional 64-Bit
Intel Core i7-3770
3,40GHz
32,0 GB RAM
Grafikkarte Radeon RX 470

erstellt am: 10. Sep. 2020 11:24    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

noch zur Info:

ich verwende oft diese Lisp um schnell etwas zu schraffieren:

Code:
(Defun C:schraff()

  (command "_hatch" "ANSI31" 10.0 0.0 "setq objekt" "")

)


wenn ich das dann in der Größe strecke, bleibt die Schraffur stehen, und geht nicht mit.
Aus diesen Grund meine obere Anfrage

Gruß Hämmy

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

KlaK
Ehrenmitglied V.I.P. h.c.
Dipl. Ing. Vermessung, CAD- und Netz-Admin



Sehen Sie sich das Profil von KlaK an!   Senden Sie eine Private Message an KlaK  Schreiben Sie einen Gästebucheintrag für KlaK

Beiträge: 2254
Registriert: 02.05.2006

AutoCAD LandDesktop R2 bis 2004
Civil 3D 2005 - 2020
Plateia, Canalis
Visual Basic

erstellt am: 10. Sep. 2020 14:34    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Hämmy 10 Unities + Antwort hilfreich

Hallo Hämmy,
Wie kopierst Du denn die Objekte?
Habe jetzt verschiedene Versuche gemacht aber komme nie dazu dass eine Schraffur die Assoziativität verliert wenn sie gleichzeitig mit der Polylinie kopiert wird.
Wenn die Umgrenzung keine geschlossene PL ist sieht das natürlich anders aus, da muß man am Eckpunkt beide Elemente markieren damit die Schraffur mitgeführt wird.

Grüße
Klaus 

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Hämmy
Mitglied
Technischer Zeichner


Sehen Sie sich das Profil von Hämmy an!   Senden Sie eine Private Message an Hämmy  Schreiben Sie einen Gästebucheintrag für Hämmy

Beiträge: 32
Registriert: 01.04.2020

Windows 10 Professional 64-Bit
Intel Core i7-3770
3,40GHz
32,0 GB RAM
Grafikkarte Radeon RX 470

erstellt am: 10. Sep. 2020 14:49    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

@Klaus,

keine Ahnung an was das liegt, aber das die Poylinien nicht geschlossen sind, ist natürlich auch möglich.

Aber wie schon eben geschrieben, wenn ich mit dem Code eine Schraffur erstelle, geht es nie.

Gibt es da eine Lösung?

Gruß Hämmy

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADwiesel
Moderator
CAD4FM UG




Sehen Sie sich das Profil von CADwiesel an!   Senden Sie eine Private Message an CADwiesel  Schreiben Sie einen Gästebucheintrag für CADwiesel

Beiträge: 1924
Registriert: 05.09.2000

AutoCAD, Bricscad
Wir machen das Mögliche unmöglich

erstellt am: 10. Sep. 2020 15:20    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Hämmy 10 Unities + Antwort hilfreich


Zitat:
(command "_hatch" "ANSI31" 10.0 0.0 "setq objekt" "")

wie soll das denn gehen?

------------------
Gruß
CADwiesel
Besucht uns im CHAT

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Hämmy
Mitglied
Technischer Zeichner


Sehen Sie sich das Profil von Hämmy an!   Senden Sie eine Private Message an Hämmy  Schreiben Sie einen Gästebucheintrag für Hämmy

Beiträge: 32
Registriert: 01.04.2020

Windows 10 Professional 64-Bit
Intel Core i7-3770
3,40GHz
32,0 GB RAM
Grafikkarte Radeon RX 470

erstellt am: 10. Sep. 2020 15:26    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

@CADwiesel,

das es damit nicht geht dachte ich mir, aber es gibt doch sicherlich eine Lösung mit vor eingestellten Werten etwas zu Schraffieren, ohne umständlich x-mal zu klicken.

Gruß Hämmy

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

KlaK
Ehrenmitglied V.I.P. h.c.
Dipl. Ing. Vermessung, CAD- und Netz-Admin



Sehen Sie sich das Profil von KlaK an!   Senden Sie eine Private Message an KlaK  Schreiben Sie einen Gästebucheintrag für KlaK

Beiträge: 2254
Registriert: 02.05.2006

AutoCAD LandDesktop R2 bis 2004
Civil 3D 2005 - 2020
Plateia, Canalis
Visual Basic

erstellt am: 10. Sep. 2020 15:45    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Hämmy 10 Unities + Antwort hilfreich

Auch mit kopierten Objekten, die mit der angegebenen Funktion erzeugte Schraffuren enthalten, bleibt die Assoziativität erhalten solange entweder eine geschlossene Umgrenzung vorhanden ist oder die Eckpunkte der Einzellinien gleichzeitig geschoben werden. Ich hatte da bei diversen Versuchen keine Probleme. Wenn das bei Dir anders ist müßtest Du eine Beispielzeichnung einstellen.

@CADwiesel: Die Funktion funktioniert erstaunlicherweise wenn man den Cursor innerhalb der Umgrenzung stehen hat. Anscheinend wird hier das (die) letzte erzeugte oder gewählte Objekt(e) verwendet 

Grüße
Klaus 

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Hämmy
Mitglied
Technischer Zeichner


Sehen Sie sich das Profil von Hämmy an!   Senden Sie eine Private Message an Hämmy  Schreiben Sie einen Gästebucheintrag für Hämmy

Beiträge: 32
Registriert: 01.04.2020

Windows 10 Professional 64-Bit
Intel Core i7-3770
3,40GHz
32,0 GB RAM
Grafikkarte Radeon RX 470

erstellt am: 10. Sep. 2020 15:50    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

@KlaK,

ja ich habe es jetzt auch noch einmal getestet, da geht es komischerweise auch.

Aber in manchen Zeichnungen geht es leider nicht, und dann ist es nervig wenn ich etwas strecke. Kann natürlich an Fremdzeichnungen liegen, aber die muss ich leider nehmen.
Darum wäre eine solche Funktion gut 

Gruß Hämmy

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

KlaK
Ehrenmitglied V.I.P. h.c.
Dipl. Ing. Vermessung, CAD- und Netz-Admin



Sehen Sie sich das Profil von KlaK an!   Senden Sie eine Private Message an KlaK  Schreiben Sie einen Gästebucheintrag für KlaK

Beiträge: 2254
Registriert: 02.05.2006

AutoCAD LandDesktop R2 bis 2004
Civil 3D 2005 - 2020
Plateia, Canalis
Visual Basic

erstellt am: 10. Sep. 2020 17:34    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Hämmy 10 Unities + Antwort hilfreich

Ja, so ist das mit Fremdzeichnungen ...
Steht denn die Schraffur bei den nicht funktionierenden Fremdobjekten auf assoziativ?

Zitat:
z.B.
Schraffur auswählen, neues Objekt wählen fertig. So müsste es gehen, die Schraffur einer neuen Umgrenzung zuzuweisen.

Ist das machbar?



In VBA wüßte ich wie das zu proggen wäre, in Lisp übersteigt das leider meine Kenntnisse, müßte aber machbar sein. Allerdings gibt es hier schon noch einige Sachen zu klären:
- Haben die Flächen nur äußere Umgrenzungen? Sind diese eindeutig definiert?
- Wenn Inseln vorhanden sind sollen diese berücksichtigt werden?

Alternative wäre:
- Schraffur neu erstellen und Format von der alten zur neuen übertragen
- alte Schraffur löschen

oder über Schraffedit die Umgrenzung neu erstellen und dorthin die alten Eigenschaften übertragen und alte Umgrenzung löschen.

Grüße
Klaus 

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Hämmy
Mitglied
Technischer Zeichner


Sehen Sie sich das Profil von Hämmy an!   Senden Sie eine Private Message an Hämmy  Schreiben Sie einen Gästebucheintrag für Hämmy

Beiträge: 32
Registriert: 01.04.2020

Windows 10 Professional 64-Bit
Intel Core i7-3770
3,40GHz
32,0 GB RAM
Grafikkarte Radeon RX 470

erstellt am: 11. Sep. 2020 06:08    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

@KlaK,

assoziativ ist grau hinterlegt, somit nicht anwählbar.

Zur Info noch:
die Flächen haben eine äußere Umgrenzung, und sind eindeutig definieret.
Es sind keine Inseln vorhanden


Deine Alternative ist klar, aber das macht eben viel Arbeit.

Gruß Hämmy

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

KlaK
Ehrenmitglied V.I.P. h.c.
Dipl. Ing. Vermessung, CAD- und Netz-Admin



Sehen Sie sich das Profil von KlaK an!   Senden Sie eine Private Message an KlaK  Schreiben Sie einen Gästebucheintrag für KlaK

Beiträge: 2254
Registriert: 02.05.2006

AutoCAD LandDesktop R2 bis 2004
Civil 3D 2005 - 2020
Plateia, Canalis
Visual Basic

erstellt am: 14. Sep. 2020 13:11    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Hämmy 10 Unities + Antwort hilfreich

Hallo Hämmy,

Was heißt grau hinterlegt? In den Eigenschaften? In der Schraffleiste?
Wenn Du eine Beispielzeichnung einstellen könntest wäre das vielleicht einfacher.

Grüße
Klaus 

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Hämmy
Mitglied
Technischer Zeichner


Sehen Sie sich das Profil von Hämmy an!   Senden Sie eine Private Message an Hämmy  Schreiben Sie einen Gästebucheintrag für Hämmy

Beiträge: 32
Registriert: 01.04.2020

Windows 10 Professional 64-Bit
Intel Core i7-3770
3,40GHz
32,0 GB RAM
Grafikkarte Radeon RX 470

erstellt am: 14. Sep. 2020 13:25    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities


Beispiel.dwg

 
@KlaK,

anbei ein Beispiel, hier bleiben bei vielen dingen die Schraffuren stehen.

Mit grau hinterlegt meinte ich in Eigenschaften, wo ich den Haken setzen kann.

Gruß Hämmy

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 19988
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 14. Sep. 2020 14:07    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Hämmy 10 Unities + Antwort hilfreich

Sehe kein Problem, alles agiert wie es soll.

Allerdings hast du ja nur 9 von 24 Schraffuren die auch mit den Umgrenzungsobjekten verknüpft sind,
die anderen 15 SIND DAS PROBLEM.

Das hat nichts mit kopieren zutun, änderst du die offensichtlichen Konturobjekte dieser 15 Schraffuren
so werden die Schraffuren sich auch nicht anpassen - weil diese nicht assoziativ mit den (augenscheinlichen)
Konturobjekten verknüpft sind.

Wenn es um die Erstellung neuer Schraffuren geht: [F1] HPASSOC
geht es um nachträgliche Verknüpfung von bestehender Schraffuren mit Umgrenzungsobjekten geht schlecht,
Neugenerierung von Umgrenzungen sind in der Praxis oft nicht verwendbar (Je nach Anforderung kann man dies als Workaround nutzen oder nicht).


Also: Fall du bei deinen 9 assoziativen Schraffuren Probleme hast, dann zeige genau welche das ist,
andernfalls geht es hier nur um 'Quellobjekte assoziativ oder nicht', was ganz logisch wäre.
Lösung: Schraffuren neu erstellen oder damit Leben.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Hämmy
Mitglied
Technischer Zeichner


Sehen Sie sich das Profil von Hämmy an!   Senden Sie eine Private Message an Hämmy  Schreiben Sie einen Gästebucheintrag für Hämmy

Beiträge: 32
Registriert: 01.04.2020

Windows 10 Professional 64-Bit
Intel Core i7-3770
3,40GHz
32,0 GB RAM
Grafikkarte Radeon RX 470

erstellt am: 14. Sep. 2020 14:24    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

@cadffm,

wenn ich bei mir im linken Bereich das Mauerwerk mit Dämmung strecke, geht die Dämmung nicht mit, aber bei dieser ist assoziativ aktiviert.

Das ist immer mein Problem.

Zu der Ursprünglichen frage nach eine Lisp:
Kann man nicht eine Lisp erstellen, in welcher ich hinterlege, welche Schraffur, den Winkel, den Layer und Assoziativ.
Dann sollte die Lisp einfach nach den Objekten fragen, welche mit meiner Voreinstellung schraffiert werden sollen.
Sozusagen 2 Klicks, denn jetzt brauche ich einige mehr, und das nervt.

Wäre toll wenn mir das einer schreiben könnte.

Gruß Hämmy

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz